import sessionService from '../services/sessionService.js';

const sessionController = {
    async checkSession(req, res) {
        try {
            const isValid = await sessionService.isSessionValid(req);
            if (isValid) {
                res.status(200).json({ valid: true });
            } else {
                res.status(401).json({ valid: false, message: "Session abgelaufen" });
            }
        } catch (error) {
            console.error("Fehler bei der Session-Überprüfung:", error);
            res.status(500).json({ valid: false, message: "Serverfehler bei der Session-Überprüfung" });
        }
    }
};

export default sessionController;
